import request from '@/utils/request'

// 查询能源对象属性列表
export function listModel(query) {
  return request({
    url: '/ems/object/model/list',
    method: 'get',
    params: query
  })
}
// 查询能源对象属性全部列表
export function listAllModel(query) {
  return request({
    url: '/ems/object/model/listAll?objType=' + query,
    method: 'get',
    params: query
  })
}
// 查询能源对象属性详细
export function getModel(id) {
  return request({
    url: '/ems/object/model/' + id,
    method: 'get'
  })
}

// 根据code查询能源对象属性详细
export function getModelByCode(code) {
  return request({
    url: '/ems/object/model/getByModelCode?modelCode=' + code,
    method: 'get'
  })
}

// 新增能源对象属性
export function addModel(data) {
  return request({
    url: '/ems/object/model',
    method: 'post',
    data: data
  })
}

// 修改能源对象属性
export function updateModel(data) {
  return request({
    url: '/ems/object/model',
    method: 'put',
    data: data
  })
}

// 删除能源对象属性
export function delModel(id) {
  return request({
    url: '/ems/object/model/' + id,
    method: 'delete'
  })
}
